Subject: Re: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Pengji Zhang <[email-masked]>
Date: Mon, 09 Dec 2024 20:16:59 +0800

Jim Porter <[email-masked]> writes:

> Is there a way we could change this so that users who use 'setopt' (or
> even 'setq'?) instead of the Customize package can enable this
> feature?

Indeed, it only works with 'M-x customize' (and friends). I guess we can
instead save the original value to another variable and restore from it.

Juri, since you wrote that for 'comint.el' in commit 71e458505f3, what
do you think? Thanks!